[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TUNBPages.Clear

Removes all page objects stored in the list of pages.

## Declaration

Source position: extctrls.pp line 111

`public procedure TUNBPages.Clear; override;`

## Description

Clear is an overridden method which implements the abstract virtual method declared in the TStrings ancestor. Clear is used to remove all TPage instances stored in the internal page list. It calls the Delete method to remove the last TPage instance in the list until all items in the list have been deleted.

## See also

TUNBPages.Delete |  | Deletes the page at the specified position in the list of pages.
TPage |  | TPage: One of the pages in a tabbed Notebook.